Page MenuHomePhabricator

Persistent IDs for Senses
Closed, ResolvedPublic5 Story Points

Description

As a data-reuser I want to be able to refer to Senses of a Lexeme in a consistent manner via stable identifiers.

Problem:
Currently when saving a newly added Sense on a Lexeme it does not get a stable ID.

Acceptance criteria:

  • New Senses get an ID
  • An ID is not re-used after deletions etc.
  • IDs follow the pattern L123-S1
  • New ID = highest previously used ID +1
  • IDs stay the same after page reloads

BDD
GIVEN I am on a Lexeme page
AND I add a new Sense
THEN the new Sense gets an ID

Event Timeline

Reasons:

  1. API use-case
  2. It's not really ideal, it'll be used for linking senses (like in translation), hopefully in the future we will improve on that.
RazShuty set the point value for this task to 5.Jun 26 2018, 11:14 AM
Vvjjkkii renamed this task from Persistent IDs for Senses to eeaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
CommunityTechBot renamed this task from eeaaaaaaaa to Persistent IDs for Senses.Jul 2 2018, 10:25 AM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot set the point value for this task to 5.
CommunityTechBot updated the task description. (Show Details)

\o/

This all seems to work fine. One thing I can not test is not reusing of IDs because I can't remove a Sense at all. Let's quickly chat about how to move forward with that.

Lea_Lacroix_WMDE closed this task as Resolved.Jul 31 2018, 11:15 AM
Lea_Lacroix_WMDE claimed this task.